/*
This file is part of libmspframework
Copyright © 2006 Mikko Rasa, Mikkosoft Productions
Distributed under the LGPL
*/
#ifndef MSP_FRAMEWORK_ERRORS_H_
#define MSP_FRAMEWORK_ERRORS_H_

#include <msp/error.h>

namespace Msp {

class UsageError: public Msp::Exception
{
public:
	UsageError(bool b=true): Exception(""), brief(b) { }
	bool get_brief() const { return brief; }
private:
	bool brief;
};

} // namespace Msp

#endif
